Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Diagram elements/Shapes/ImageShape.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Diagram elements/Shapes/ImageShape.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Diagram elements/Shapes/ImageShape.cs	(revision 4068)
@@ -1,239 +1,209 @@
 using System;
-using System.Collections;
-using System.ComponentModel;
 using System.Diagnostics;
 using System.Drawing;
-using System.Drawing.Drawing2D;
-using System.Drawing.Printing;
 using System.IO;
-using System.Drawing.Design;
-using System.Runtime.CompilerServices;
-using System.Runtime.Serialization;
-using System.Runtime.Serialization.Formatters.Binary;
 using System.Reflection;
-using System.Threading;
 using System.Windows.Forms;
 
-namespace Netron.Diagramming.Core
-{
-	/// <summary>
-	/// This shape allows you to use any picture as inside a rectangular area.
-	/// </summary>	
-    public partial class ImageShape : SimpleShapeBase
-	{
-        #region Fields
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Implementation of IVersion - the current version of 
-        /// ImageShape.
-        /// </summary>
-        // ------------------------------------------------------------------
-        protected const double imageShapeVersion = 1.0;
-
-		#region the connectors
-        private Connector cBottom, cLeft, cRight, cTop;	
-		private string mImagePath;
-		private Image mImage;
-		#endregion
-		#endregion
-
-        #region Properties
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets the current version.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public override double Version
-        {
-            get
-            {
-                return imageShapeVersion;
-            }
-        }
-
-        /// <summary>
-        /// Gets the friendly name of the entity to be displayed in the UI
-        /// </summary>
-        /// <value></value>
-        public override string EntityName
-        {
-            get
-            {
-                return "Image shape";
-            }
-        }
-        /// <summary>
-        /// Gets or sets the image path.
-        /// </summary>
-        /// <value>The image path.</value>
-		public string ImagePath
-		{
-			get{return mImagePath;}
-			set{
-				if(value==string.Empty) return;
-				if(File.Exists(value))
-				{
-					try
-					{
-						mImage = Image.FromFile(value);
-						Transform(Rectangle.X, Rectangle.Y, mImage.Width, mImage.Height);
-					}
-					catch(Exception exc)
-					{
-                        Trace.WriteLine(exc.Message);
-					}
-					mImagePath = value;
-				}
-				else
-					MessageBox.Show("The specified file does not exist.","Error", MessageBoxButtons.OK, MessageBoxIcon.Warning);
-			}
-		}
-
-        /// <summary>
-        /// Gets or sets the image.
-        /// </summary>
-        /// <value>The image.</value>
-		public Image Image
-		{
-			get{return mImage;}
-			set{
-				if(value==null) return;
-				mImage = value;
-				mImagePath = string.Empty;
-				Transform(Rectangle.X, Rectangle.Y, mImage.Width, mImage.Height);			
-			}
-		}
-		#endregion
-
-		#region Constructor
-
-		/// <summary>
-		/// Constructor
-		/// </summary>
-		public ImageShape() : base()
-		{
-		}
-		/// <summary>
-		/// This is the default constructor of the class.
-		/// </summary>
-		public ImageShape(IModel site) : base(site)
-		{
-		}
-		
-		#endregion	
-
-		#region Methods
-
-        // -----------------------------------------------------------------
-        /// <summary>
-        /// Initializes this instance.
-        /// </summary>
-        // -----------------------------------------------------------------
-        protected override void Initialize()
-        {
-            base.Initialize();
-            //the initial size
-            Transform(0, 0, 200, 50);
-            #region Connectors
-            cTop = new Connector(new Point((int)(Rectangle.Left + Rectangle.Width / 2), Rectangle.Top), Model);
-            cTop.Name = "Top connector";
-            cTop.Parent = this;
-            Connectors.Add(cTop);
-
-            cRight = new Connector(new Point(Rectangle.Right, (int)(Rectangle.Top + Rectangle.Height / 2)), Model);
-            cRight.Name = "Right connector";
-            cRight.Parent = this;
-            Connectors.Add(cRight);
-
-            cBottom = new Connector(new Point((int)(Rectangle.Left + Rectangle.Width / 2), Rectangle.Bottom), Model);
-            cBottom.Name = "Bottom connector";
-            cBottom.Parent = this;
-            Connectors.Add(cBottom);
-
-            cLeft = new Connector(new Point(Rectangle.Left, (int)(Rectangle.Top + Rectangle.Height / 2)), Model);
-            cLeft.Name = "Left connector";
-            cLeft.Parent = this;
-            Connectors.Add(cLeft);
-            #endregion
-        }
-
-		/// <summary>
-		/// Adds additional stuff to the shape's menu
-		/// </summary>
-        /// <returns>ToolStripItem[]</returns>
-        public override ToolStripItem[] Menu()
-		{
-
-            ToolStripMenuItem item = new ToolStripMenuItem(
-                "Reset image size");
-
-            item.Click += new EventHandler(OnResetImageSize);
-
-            ToolStripItem[] items = new ToolStripItem[] { item };
-
-			return items;
-		}
-		/// <summary>
-		/// Resets the original image size
-		/// </summary>
-		/// <param name="sender"></param>
-		/// <param name="e"></param>
-		private void OnResetImageSize(object sender, EventArgs e)
-		{
-			Transform(Rectangle.X, Rectangle.Y, mImage.Width, mImage.Height);
-			this.Invalidate();
-		}
-
-		/// <summary>
-		/// Overrides the default bitmap used in the shape viewer
-		/// </summary>
-		/// <returns></returns>
-		public  Bitmap GetThumbnail()
-		{
-			Bitmap bmp=null;
-			try
-			{
-				Stream stream=Assembly.GetExecutingAssembly().GetManifestResourceStream("Netron.GraphLib.BasicShapes.Resources.ImageShape.gif");
-					
-				bmp= Bitmap.FromStream(stream) as Bitmap;
-				stream.Close();
-				stream=null;
-			}
-			catch(Exception exc)
-			{
-				Trace.WriteLine(exc.Message,"ImageShape.GetThumbnail");
-			}
-			return bmp;
-		}
-		
-		/// <summary>
-		/// Paints the shape of the person object in the plex. Here you can let your imagination go.
-		/// MAKE IT PERFORMANT, this is a killer method called 200.000 times a minute!
-		/// </summary>
-		/// <param name="g">The graphics canvas onto which to paint</param>
-		public override void Paint(Graphics g)
-		{
-			base.Paint(g);
-            //if(RecalculateSize)
-            //{
-            //    Rectangle = new RectangleF(new PointF(Rectangle.X,Rectangle.Y),
-            //        g.MeasureString(this.Text,Font));	
-            //    Rectangle = System.Drawing.RectangleF.Inflate(Rectangle,10,10);
-            //    RecalculateSize = false; //very important!
-            //}
-			if(mImage==null)
-			{
-				g.FillRectangle(Brush, Rectangle);
-				StringFormat sf = new StringFormat();
-				sf.Alignment = StringAlignment.Center;
-				g.DrawString("Image shape", ArtPalette.DefaultFont, Brushes.Black, Rectangle.X + (Rectangle.Width / 2), Rectangle.Y + 3, sf);
-			}
-			else
-				g.DrawImage(mImage, Rectangle);				
-		}
-		#endregion
-	}
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// This shape allows you to use any picture as inside a rectangular area.
+  /// </summary>	
+  public partial class ImageShape : SimpleShapeBase {
+    #region Fields
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Implementation of IVersion - the current version of 
+    /// ImageShape.
+    /// </summary>
+    // ------------------------------------------------------------------
+    protected const double imageShapeVersion = 1.0;
+
+    #region the connectors
+    private Connector cBottom, cLeft, cRight, cTop;
+    private string mImagePath;
+    private Image mImage;
+    #endregion
+    #endregion
+
+    #region Properties
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets the current version.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public override double Version {
+      get {
+        return imageShapeVersion;
+      }
+    }
+
+    /// <summary>
+    /// Gets the friendly name of the entity to be displayed in the UI
+    /// </summary>
+    /// <value></value>
+    public override string EntityName {
+      get {
+        return "Image shape";
+      }
+    }
+    /// <summary>
+    /// Gets or sets the image path.
+    /// </summary>
+    /// <value>The image path.</value>
+    public string ImagePath {
+      get { return mImagePath; }
+      set {
+        if (value == string.Empty) return;
+        if (File.Exists(value)) {
+          try {
+            mImage = Image.FromFile(value);
+            Transform(Rectangle.X, Rectangle.Y, mImage.Width, mImage.Height);
+          }
+          catch (Exception exc) {
+            Trace.WriteLine(exc.Message);
+          }
+          mImagePath = value;
+        } else
+          MessageBox.Show("The specified file does not exist.", "Error", MessageBoxButtons.OK, MessageBoxIcon.Warning);
+      }
+    }
+
+    /// <summary>
+    /// Gets or sets the image.
+    /// </summary>
+    /// <value>The image.</value>
+    public Image Image {
+      get { return mImage; }
+      set {
+        if (value == null) return;
+        mImage = value;
+        mImagePath = string.Empty;
+        Transform(Rectangle.X, Rectangle.Y, mImage.Width, mImage.Height);
+      }
+    }
+    #endregion
+
+    #region Constructor
+
+    /// <summary>
+    /// Constructor
+    /// </summary>
+    public ImageShape()
+      : base() {
+    }
+    /// <summary>
+    /// This is the default constructor of the class.
+    /// </summary>
+    public ImageShape(IModel site)
+      : base(site) {
+    }
+
+    #endregion
+
+    #region Methods
+
+    // -----------------------------------------------------------------
+    /// <summary>
+    /// Initializes this instance.
+    /// </summary>
+    // -----------------------------------------------------------------
+    protected override void Initialize() {
+      base.Initialize();
+      //the initial size
+      Transform(0, 0, 200, 50);
+      #region Connectors
+      cTop = new Connector(new Point((int)(Rectangle.Left + Rectangle.Width / 2), Rectangle.Top), Model);
+      cTop.Name = "Top connector";
+      cTop.Parent = this;
+      Connectors.Add(cTop);
+
+      cRight = new Connector(new Point(Rectangle.Right, (int)(Rectangle.Top + Rectangle.Height / 2)), Model);
+      cRight.Name = "Right connector";
+      cRight.Parent = this;
+      Connectors.Add(cRight);
+
+      cBottom = new Connector(new Point((int)(Rectangle.Left + Rectangle.Width / 2), Rectangle.Bottom), Model);
+      cBottom.Name = "Bottom connector";
+      cBottom.Parent = this;
+      Connectors.Add(cBottom);
+
+      cLeft = new Connector(new Point(Rectangle.Left, (int)(Rectangle.Top + Rectangle.Height / 2)), Model);
+      cLeft.Name = "Left connector";
+      cLeft.Parent = this;
+      Connectors.Add(cLeft);
+      #endregion
+    }
+
+    /// <summary>
+    /// Adds additional stuff to the shape's menu
+    /// </summary>
+    /// <returns>ToolStripItem[]</returns>
+    public override ToolStripItem[] Menu() {
+
+      ToolStripMenuItem item = new ToolStripMenuItem(
+          "Reset image size");
+
+      item.Click += new EventHandler(OnResetImageSize);
+
+      ToolStripItem[] items = new ToolStripItem[] { item };
+
+      return items;
+    }
+    /// <summary>
+    /// Resets the original image size
+    /// </summary>
+    /// <param name="sender"></param>
+    /// <param name="e"></param>
+    private void OnResetImageSize(object sender, EventArgs e) {
+      Transform(Rectangle.X, Rectangle.Y, mImage.Width, mImage.Height);
+      this.Invalidate();
+    }
+
+    /// <summary>
+    /// Overrides the default bitmap used in the shape viewer
+    /// </summary>
+    /// <returns></returns>
+    public Bitmap GetThumbnail() {
+      Bitmap bmp = null;
+      try {
+        Stream stream = Assembly.GetExecutingAssembly().GetManifestResourceStream("Netron.GraphLib.BasicShapes.Resources.ImageShape.gif");
+
+        bmp = Bitmap.FromStream(stream) as Bitmap;
+        stream.Close();
+        stream = null;
+      }
+      catch (Exception exc) {
+        Trace.WriteLine(exc.Message, "ImageShape.GetThumbnail");
+      }
+      return bmp;
+    }
+
+    /// <summary>
+    /// Paints the shape of the person object in the plex. Here you can let your imagination go.
+    /// MAKE IT PERFORMANT, this is a killer method called 200.000 times a minute!
+    /// </summary>
+    /// <param name="g">The graphics canvas onto which to paint</param>
+    public override void Paint(Graphics g) {
+      base.Paint(g);
+      //if(RecalculateSize)
+      //{
+      //    Rectangle = new RectangleF(new PointF(Rectangle.X,Rectangle.Y),
+      //        g.MeasureString(this.Text,Font));	
+      //    Rectangle = System.Drawing.RectangleF.Inflate(Rectangle,10,10);
+      //    RecalculateSize = false; //very important!
+      //}
+      if (mImage == null) {
+        g.FillRectangle(Brush, Rectangle);
+        StringFormat sf = new StringFormat();
+        sf.Alignment = StringAlignment.Center;
+        g.DrawString("Image shape", ArtPalette.DefaultFont, Brushes.Black, Rectangle.X + (Rectangle.Width / 2), Rectangle.Y + 3, sf);
+      } else
+        g.DrawImage(mImage, Rectangle);
+    }
+    #endregion
+  }
 
 }
@@ -245,3 +215,3 @@
 
 
-		
+
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Diagram elements/Shapes/ShapeFactory.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Diagram elements/Shapes/ShapeFactory.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Diagram elements/Shapes/ShapeFactory.cs	(revision 4068)
@@ -1,62 +1,53 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
 
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Shape factory for the internally defined shape types.
+  /// </summary>
+  public static class ShapeFactory {
+
     /// <summary>
-    /// Shape factory for the internally defined shape types.
+    /// Gets the shape.
     /// </summary>
-    public static class ShapeFactory
-    {
+    /// <param name="shapeName">Name of the shape.</param>
+    /// <returns></returns>
+    public static IShape GetShape(string shapeName) {
+      if (string.IsNullOrEmpty(shapeName))
+        return null;
 
-        /// <summary>
-        /// Gets the shape.
-        /// </summary>
-        /// <param name="shapeName">Name of the shape.</param>
-        /// <returns></returns>
-        public static IShape GetShape(string shapeName)
-        {
-            if(string.IsNullOrEmpty(shapeName))
-                return null;
+      foreach (string shapeType in Enum.GetNames(typeof(ShapeTypes))) {
+        if (shapeType.ToString().ToLower() == shapeName.ToLower()) {
+          return GetShape((ShapeTypes)Enum.Parse(typeof(ShapeTypes), shapeType));
+        }
+      }
+      return null;
+    }
 
-            foreach(string shapeType in Enum.GetNames(typeof(ShapeTypes)))
-            {
-                if(shapeType.ToString().ToLower() ==shapeName.ToLower())
-                {
-                      return GetShape((ShapeTypes) Enum.Parse(typeof(ShapeTypes), shapeType));                    
-                }
-            }
-            return null;
-        }
+    /// <summary>
+    /// Gets the shape.
+    /// </summary>
+    /// <param name="shapeType">Type of the shape.</param>
+    /// <returns></returns>
+    public static IShape GetShape(ShapeTypes shapeType) {
+      switch (shapeType) {
+        case ShapeTypes.SimpleRectangle:
+          return new SimpleRectangle();
+        case ShapeTypes.SimpleEllipse:
+          return new SimpleEllipse();
+        case ShapeTypes.TextLabel:
+          return new TextLabel();
+        case ShapeTypes.ClassShape:
+          return new ClassShape();
+        case ShapeTypes.TextOnly:
+          return new TextOnly();
+        case ShapeTypes.ImageShape:
+          return new ImageShape();
+        case ShapeTypes.ComplexRectangle:
+          return new ComplexRectangle();
+        default:
+          return null;
+      }
+    }
 
-        /// <summary>
-        /// Gets the shape.
-        /// </summary>
-        /// <param name="shapeType">Type of the shape.</param>
-        /// <returns></returns>
-        public static IShape GetShape(ShapeTypes shapeType)
-        {
-            switch(shapeType)
-            {
-                case ShapeTypes.SimpleRectangle:
-                    return new SimpleRectangle();
-                case ShapeTypes.SimpleEllipse:
-                    return new SimpleEllipse();
-                case ShapeTypes.TextLabel:
-                    return new TextLabel();
-                case ShapeTypes.ClassShape:
-                    return new ClassShape();
-                case ShapeTypes.TextOnly:
-                    return new TextOnly();                    
-                case ShapeTypes.ImageShape:
-                    return new ImageShape();                
-                case ShapeTypes.ComplexRectangle:
-                    return new ComplexRectangle();
-                default:
-                    return null;
-            }
-        }
-  
-    }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Diagram elements/Shapes/SimpleEllipse.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Diagram elements/Shapes/SimpleEllipse.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Diagram elements/Shapes/SimpleEllipse.cs	(revision 4068)
@@ -1,185 +1,168 @@
-using System;
 using System.Drawing;
 using System.Drawing.Drawing2D;
-namespace Netron.Diagramming.Core
-{
-	/// <summary>
-	/// A simple elliptic shape
-	/// </summary>
-    [Shape("Ellipse", "SimpleEllipse", "Standard", "A simple elliptic shape.")] 
-    partial class SimpleEllipse : SimpleShapeBase
-	{
-        #region Fields
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// A simple elliptic shape
+  /// </summary>
+  [Shape("Ellipse", "SimpleEllipse", "Standard", "A simple elliptic shape.")]
+  partial class SimpleEllipse : SimpleShapeBase {
+    #region Fields
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Implementation of IVersion - the current version of 
-        /// SimpleEllipse.
-        /// </summary>
-        // ------------------------------------------------------------------
-        protected const double simpleEllipseVersion = 1.0;
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Implementation of IVersion - the current version of 
+    /// SimpleEllipse.
+    /// </summary>
+    // ------------------------------------------------------------------
+    protected const double simpleEllipseVersion = 1.0;
 
-		/// <summary>
-		/// the connectors
-		/// </summary>
+    /// <summary>
+    /// the connectors
+    /// </summary>
     //Connector cBottom, cLeft, cRight, cTop;
-		#endregion
+    #endregion
 
-        #region Properties
+    #region Properties
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets the current version.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public override double Version
-        {
-            get
-            {
-                return simpleEllipseVersion;
-            }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets the current version.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public override double Version {
+      get {
+        return simpleEllipseVersion;
+      }
+    }
+
+    /// <summary>
+    /// Gets the friendly name of the entity to be displayed in the UI
+    /// </summary>
+    /// <value></value>
+    public override string EntityName {
+      get { return "Simple Ellipse"; }
+    }
+    #endregion
+
+    #region Constructor
+    /// <summary>
+    /// Default ctor
+    /// </summary>
+    /// <param name="s"></param>
+    public SimpleEllipse(IModel s)
+      : base(s) {
+    }
+
+    /// <summary>
+    /// Initializes a new instance of the <see cref="T:SimpleEllipse"/> class.
+    /// </summary>
+    public SimpleEllipse()
+      : base() {
+    }
+
+    #endregion
+
+    #region Methods
+
+    // -----------------------------------------------------------------
+    /// <summary>
+    /// Initializes this instance.
+    /// </summary>
+    // -----------------------------------------------------------------
+    protected override void Initialize() {
+      base.Initialize();
+
+      //the initial size
+      Transform(0, 0, 200, 50);
+      this.mTextArea = Rectangle;
+
+      // I'm changing the "simple" shapes to have no connectors.
+      #region Connectors
+      //cTop = new Connector(new Point((int)(Rectangle.Left + Rectangle.Width / 2), Rectangle.Top), Model);
+      //cTop.Name = "Top connector";
+      //cTop.Parent = this;
+      //Connectors.Add(cTop);
+
+      //cRight = new Connector(new Point(Rectangle.Right, (int)(Rectangle.Top + Rectangle.Height / 2)), Model);
+      //cRight.Name = "Right connector";
+      //cRight.Parent = this;
+      //Connectors.Add(cRight);
+
+      //cBottom = new Connector(new Point((int)(Rectangle.Left + Rectangle.Width / 2), Rectangle.Bottom), Model);
+      //cBottom.Name = "Bottom connector";
+      //cBottom.Parent = this;
+      //Connectors.Add(cBottom);
+
+      //cLeft = new Connector(new Point(Rectangle.Left, (int)(Rectangle.Top + Rectangle.Height / 2)), Model);
+      //cLeft.Name = "Left connector";
+      //cLeft.Parent = this;
+      //Connectors.Add(cLeft);
+      #endregion
+    }
+
+    /// <summary>
+    /// Tests whether the mouse hits this shape.
+    /// </summary>
+    /// <param name="p"></param>
+    /// <returns></returns>
+    public override bool Hit(Point p) {
+      GraphicsPath path = new GraphicsPath();
+      path.AddEllipse(Rectangle);
+      return path.IsVisible(p);
+    }
+
+    /// <summary>
+    /// Paints the bundle on the canvas
+    /// </summary>
+    /// <param name="g"></param>
+    public override void Paint(Graphics g) {
+      g.SmoothingMode = SmoothingMode.HighQuality;
+      //the shadow
+      if (ArtPalette.EnableShadows) {
+        g.FillEllipse(
+            ArtPalette.ShadowBrush,
+            Rectangle.X + 5,
+            Rectangle.Y + 5,
+            Rectangle.Width,
+            Rectangle.Height);
+      }
+
+      //the actual bundle
+      g.FillEllipse(mPaintStyle.GetBrush(Rectangle), Rectangle);
+
+      //the edge of the bundle
+      if (Hovered) {
+        g.DrawEllipse(ArtPalette.HighlightPen, Rectangle);
+      } else {
+        g.DrawEllipse(mPenStyle.DrawingPen(), Rectangle);
+      }
+      //the connectors
+      if (this.ShowConnectors) {
+        for (int k = 0; k < Connectors.Count; k++) {
+          Connectors[k].Paint(g);
         }
+      }
 
-        /// <summary>
-        /// Gets the friendly name of the entity to be displayed in the UI
-        /// </summary>
-        /// <value></value>
-        public override string EntityName
-        {
-            get { return "Simple Ellipse"; }
-        }
-        #endregion
+      //here we keep it really simple:
+      if (!string.IsNullOrEmpty(Text)) {
+        //g.DrawString(
+        //    Text, 
+        //    ArtPalette.DefaultFont, 
+        //    Brushes.Black, 
+        //    TextArea);
+        g.DrawString(
+            mTextStyle.GetFormattedText(Text),
+            mTextStyle.Font,
+            mTextStyle.GetBrush(),
+            TextArea,
+            mTextStyle.StringFormat);
+      }
+    }
 
-		#region Constructor
-		/// <summary>
-		/// Default ctor
-		/// </summary>
-		/// <param name="s"></param>
-		public SimpleEllipse(IModel s) : base(s)
-		{
-		}
 
-        /// <summary>
-        /// Initializes a new instance of the <see cref="T:SimpleEllipse"/> class.
-        /// </summary>
-         public SimpleEllipse()
-             : base()
-         {
-         }
 
-		#endregion
 
-		#region Methods
 
-         // -----------------------------------------------------------------
-         /// <summary>
-         /// Initializes this instance.
-         /// </summary>
-         // -----------------------------------------------------------------
-         protected override void Initialize()
-         {
-             base.Initialize();
-             
-             //the initial size
-             Transform(0, 0, 200, 50);
-             this.mTextArea = Rectangle;
-
-             // I'm changing the "simple" shapes to have no connectors.
-             #region Connectors
-             //cTop = new Connector(new Point((int)(Rectangle.Left + Rectangle.Width / 2), Rectangle.Top), Model);
-             //cTop.Name = "Top connector";
-             //cTop.Parent = this;
-             //Connectors.Add(cTop);
-
-             //cRight = new Connector(new Point(Rectangle.Right, (int)(Rectangle.Top + Rectangle.Height / 2)), Model);
-             //cRight.Name = "Right connector";
-             //cRight.Parent = this;
-             //Connectors.Add(cRight);
-
-             //cBottom = new Connector(new Point((int)(Rectangle.Left + Rectangle.Width / 2), Rectangle.Bottom), Model);
-             //cBottom.Name = "Bottom connector";
-             //cBottom.Parent = this;
-             //Connectors.Add(cBottom);
-
-             //cLeft = new Connector(new Point(Rectangle.Left, (int)(Rectangle.Top + Rectangle.Height / 2)), Model);
-             //cLeft.Name = "Left connector";
-             //cLeft.Parent = this;
-             //Connectors.Add(cLeft);
-             #endregion
-         }
-
-		/// <summary>
-		/// Tests whether the mouse hits this shape.
-		/// </summary>
-		/// <param name="p"></param>
-		/// <returns></returns>
-		public override bool Hit(Point p)
-		{            
-            GraphicsPath path = new GraphicsPath();
-            path.AddEllipse(Rectangle);
-            return path.IsVisible(p);
-		}
-
-		/// <summary>
-		/// Paints the bundle on the canvas
-		/// </summary>
-		/// <param name="g"></param>
-		public override void Paint(Graphics g)
-		{
-			g.SmoothingMode = SmoothingMode.HighQuality;
-			//the shadow
-            if (ArtPalette.EnableShadows)
-            {
-                g.FillEllipse(
-                    ArtPalette.ShadowBrush,
-                    Rectangle.X + 5,
-                    Rectangle.Y + 5,
-                    Rectangle.Width,
-                    Rectangle.Height);
-            }
-
-			//the actual bundle
-			g.FillEllipse(mPaintStyle.GetBrush(Rectangle), Rectangle);
-
-			//the edge of the bundle
-            if (Hovered)
-            {
-                g.DrawEllipse(ArtPalette.HighlightPen, Rectangle);
-            }
-            else
-            {
-                g.DrawEllipse(mPenStyle.DrawingPen(), Rectangle);
-            }
-			//the connectors
-            if (this.ShowConnectors)
-            {
-                for (int k = 0; k < Connectors.Count; k++)
-                {
-                    Connectors[k].Paint(g);
-                }
-            }
-			
-			//here we keep it really simple:
-            if (!string.IsNullOrEmpty(Text))
-            {
-                //g.DrawString(
-                //    Text, 
-                //    ArtPalette.DefaultFont, 
-                //    Brushes.Black, 
-                //    TextArea);
-                g.DrawString(
-                    mTextStyle.GetFormattedText(Text),
-                    mTextStyle.Font,
-                    mTextStyle.GetBrush(),
-                    TextArea,
-                    mTextStyle.StringFormat);
-            }
-		}
-
-	
-
-	
-
-		#endregion	
-	}
+    #endregion
+  }
 }
